summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov <ppetrov@paju.oulu.fi>2011-09-27 07:38:20 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-09-27 07:38:20 -0300
commit102cefc4f0f25b6a27366197c45929caf058384f (patch)
tree5be8d76e80c6dc7bea877746af43d0e565a0d16b /academic
parent613fec3f788377366e17e193873d46a7226dc92c (diff)
downloadslackbuilds-102cefc4f0f25b6a27366197c45929caf058384f.tar.gz
slackbuilds-102cefc4f0f25b6a27366197c45929caf058384f.tar.xz
academic/clustalo: Added (protein sequence alignment program)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/clustalo/README11
-rw-r--r--academic/clustalo/References4
-rw-r--r--academic/clustalo/clustalo.SlackBuild88
-rw-r--r--academic/clustalo/clustalo.info10
-rw-r--r--academic/clustalo/slack-desc19
5 files changed, 132 insertions, 0 deletions
diff --git a/academic/clustalo/README b/academic/clustalo/README
new file mode 100644
index 0000000000..0c5bd4f20c
--- /dev/null
+++ b/academic/clustalo/README
@@ -0,0 +1,11 @@
+Clustal is a widely used, multiple sequence alignment program. This
+is Clustal Omega, the latest addition to the Clustal family. It
+offers a significant increase in scalability over previous versions,
+allowing hundreds of thousands of sequences to be aligned in only a
+few hours. In addition, the quality of alignments is superior to
+previous versions, as measured by a range of popular benchmarks.
+
+Clustal Omega is currently a command line-only tool, and is only
+suitable for aligning protein sequences, not DNA or RNA.
+
+This requires argtable.
diff --git a/academic/clustalo/References b/academic/clustalo/References
new file mode 100644
index 0000000000..6f87dab1ea
--- /dev/null
+++ b/academic/clustalo/References
@@ -0,0 +1,4 @@
+Clustal Omega is currently under peer review. Please contact the developers/authors before citing Clustal Omega:
+
+Fast, scalable generation of high quality protein multiple sequence alignments using Clustal Omega
+Fabian Sievers, Andreas Wilm, David Dineen, Toby J. Gibson, Kevin Karplus, Weizhong Li, Rodrigo Lopez, Hamish McWilliam, Michael Remmert, Johannes Söding, Julie D. Thompson, Desmond G. Higgins \ No newline at end of file
diff --git a/academic/clustalo/clustalo.SlackBuild b/academic/clustalo/clustalo.SlackBuild
new file mode 100644
index 0000000000..b515e6e446
--- /dev/null
+++ b/academic/clustalo/clustalo.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for clustalo
+# Written by Petar Petrov, <ppetrov@paju.oulu.fi> and
+# hereby submitted to the public domain
+
+# THIS SLACKBUILD IS DISTRIBUTETD IN THE HOPE OF BEING
+# USEFUL BUT WITHOUT ANY WARRANTY. THE AUTHOR IS _NOT_
+# RESPONSIBLE FOR ANY DAMAGE OR DATA LOSS CAUSED BY IT.
+
+PRGNAM=clustalo
+VERSION=${VERSION:-1.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=clustal-omega
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING INSTALL TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/clustalo/clustalo.info b/academic/clustalo/clustalo.info
new file mode 100644
index 0000000000..4d788f8cec
--- /dev/null
+++ b/academic/clustalo/clustalo.info
@@ -0,0 +1,10 @@
+PRGNAM="clustalo"
+VERSION="1.0.3"
+HOMEPAGE="http://www.clustal.org/omega/"
+DOWNLOAD="http://www.clustal.org/omega/clustal-omega-1.0.3.tar.gz"
+MD5SUM="65587c7473db831255a4ecede9b4a747"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
+APPROVED="Niels Horn"
diff --git a/academic/clustalo/slack-desc b/academic/clustalo/slack-desc
new file mode 100644
index 0000000000..c56a756f91
--- /dev/null
+++ b/academic/clustalo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+clustalo: clustalo (Clustal Omega)
+clustalo:
+clustalo: Clustal Omega allows hundreds of thousands of sequences to be
+clustalo: aligned in only a few hours.
+clustalo:
+clustalo:
+clustalo:
+clustalo:
+clustalo:
+clustalo: References: /usr/doc/clustalo-$VERSION/References
+clustalo: Home: http://www.clustal.org/omega/